
        Ruby/Tgif -- ext library for Tgif --  2001.04.08

                        Noritsugu Nakamura   nnakamur@mxq.mesh.ne.jp

[Overview]

  This program is a interface to "Tgif", or a library for
  manipulating tgif obj file.

  It is not a program for embedded ruby into tgif.

[Requirements]

  * ruby
      http://www.ruby-lang.org/

  * Tgif 4.1.x
      http://bourbon.cs.umd.edu:8001/tgif/

[Install]

  * Install ruby
    % ./configure
    % make
    # make install

  * Compile Tgif(not install)
    o choice Tgif.tmpl-*
    % vi Tgif.tmpl
    % xmkmf
    % make tgif
      ("make install" is not required. Ruby/Tgif only use *.o)

  * Install this package
    o expand this packages on tgif directory
    o Edit extconf.rb if you need.

    % ruby extconf.rb
    % make
    # make install

[Usage]

  See examples/*.rb

